Bug 443797 - (comedilib-review) Review Request: comedilib - Data Acquisition library for the Comedi driver
Review Request: comedilib - Data Acquisition library for the Comedi driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 443921
  Show dependency treegraph
 
Reported: 2008-04-23 09:02 EDT by Marek Mahut
Modified: 2008-05-12 13:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 13:23:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2008-04-23 09:02:03 EDT
Spec URL: http://mmahut.fedorapeople.org/reviews/comedilib/comedilib.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/comedilib/comedilib.spec
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=578251
Description: Comedilib is a user-space library that provides a developer-friendly
interface to Comedi devices. Included in the Comedilib distribution
is documentation, configuration and calibration utilities,
and demonstration programs.
Comment 1 Lubomir Kundrak 2008-04-23 09:09:56 EDT
SRPM URL:
http://mmahut.fedorapeople.org/reviews/comedilib/comedilib-0.8.1-1.fc8.src.rpm

(correcting, so that QA script is happy)
Comment 2 Lubomir Rintel 2008-05-07 05:55:23 EDT
Thanks for the package, and sorry for the delay.
Here's the review:

1.) Source file is not available for download. Probably the correct URL is:
http://www.comedi.org/comedi/download/comedilib-0.8.1.tar.gz

2.) You should not use %makeinstall macro. See this document for reason:
http://fedoraproject.org/wiki/Packaging/Guidelines#MakeInstall

3.) The build in mock failed for me. Seems like it did not generate python
files, and failed to define %python_sitelib correctly. That might be because you
omitted python-devel from BuildRequires.
Comment 3 Marek Mahut 2008-05-07 17:27:41 EDT
Hi Lubomir,

1) Fixed.
2) Fixed.
3) It builds fine for me... 

    http://koji.fedoraproject.org/koji/taskinfo?taskID=600026
    http://koji.fedoraproject.org/koji/taskinfo?taskID=600033
Comment 4 Lubomir Rintel 2008-05-07 17:46:10 EDT
Thanks for the fixes marek.
I see no more issues with the package;

APPROVED
Comment 5 Marek Mahut 2008-05-07 18:22:22 EDT
thank you,

New Package CVS Request
=======================
Package Name: comedilib
Short Description: Data Acquisition library for the Comedi driver
Owners: mmahut
Branches: EL-5, F-8, F-9
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-05-08 13:42:25 EDT
cvs done.
Comment 7 Marek Mahut 2008-05-12 13:23:12 EDT
thank you both, all done.

Note You need to log in before you can comment on or make changes to this bug.